//	CopyAnchor.js
//	http://www.pictrix.jp/	Umezawa
//	05.4.14	11:06 PM


if ( documents.length > 0 && activeDocument.pathItems.length > 0 ){


	selObj = activeDocument.selection;

	if ( selObj.length == 2 &&
		selObj[ 0 ].typename == "PathItem" && selObj[ 1 ].typename == "PathItem" ){

		op = selObj[ 1 ].pathPoints;
		tp = selObj[ 0 ].pathPoints;
		tn = 0;

		for ( i = 0; i < op.length; i++ ){
			if ( op[ i ].selected == PathPointSelection.ANCHORPOINT ){
				while ( tn < tp.length ){
					if ( tp[ tn ].selected == PathPointSelection.ANCHORPOINT ){
						tp[ tn ].anchor		= op[ i ].anchor;
						tp[ tn ].leftDirection	= op[ i ].leftDirection;
						tp[ tn ].rightDirection	= op[ i ].rightDirection;
						tp[ tn ].pointType		= op[ i ].pointType;
						tn++;
						break;
					}
					tn++;
				}
			}
			if ( tn >=  tp.length ) break;
		}

		redraw( );
		ans = confirm( "Is a direction normal ?" );
		if ( ans == false ){
			tn = tp.length - 1;
			for ( i = 0; i < op.length; i++ ){
				if ( op[ i ].selected == PathPointSelection.ANCHORPOINT ){
					while ( tn >= 0 ){
						if ( tp[ tn ].selected == PathPointSelection.ANCHORPOINT ){
							tp[ tn ].anchor		= op[ i ].anchor;
							tp[ tn ].leftDirection	= op[ i ].rightDirection;
							tp[ tn ].rightDirection	= op[ i ].leftDirection;
							tp[ tn ].pointType		= op[ i ].pointType;
							tn--;
							break;
						}
						tn--;
					}
				}
				if ( tn < 0 ) break;
			}

			redraw( );
			if ( confirm( "Do you reverse with a turn of path points ?" ) == true ) reversePath( tp );
		}
	}
}

function reversePath( pp )
{
	var pa = new Array( );
	var pl = new Array( );
	var pr = new Array( );
	var pt = new Array( );
	var ps = new Array( );
	var n, k;

	for ( n = 0; n < pp.length; n++ ){
		pa[ n ]	= pp[ n ].anchor;
		pl[ n ]	= pp[ n ].leftDirection;
		pr[ n ]	= pp[ n ].rightDirection;
		pt[ n ]	= pp[ n ].pointType;
		if ( pp[ n ].selected == PathPointSelection.LEFTDIRECTION ){
			ps[ n ] = PathPointSelection.RIGHTDIRECTION;
		}
		else{
			if ( pp[ n ].selected == PathPointSelection.RIGHTDIRECTION ){
				ps[ n ] = PathPointSelection.LEFTDIRECTION;
			}
			else{
				ps[ n ] = pp[ n ].selected;
			}
		}
	}
	k = pp.length - 1;
	for ( n = 0; n < pp.length; n++ ){
		pp[ k ].anchor			= pa[ n ] ;
		pp[ k ].leftDirection	= pr[ n ];
		pp[ k ].rightDirection	= pl[ n ];
		pp[ k ].pointType		= pt[ n ];
		pp[ k ].selected		= ps[ n ];
		k--;
	}
}

